gr::gfdm::add_cyclic_prefix_cc Class Reference

Kernel adds cyclic prefix to GFDM frame and applies block pinching window. More...

`#include <add_cyclic_prefix_cc.h>`

## Public Types

typedef std::complex< float > | gfdm_complex
typedef boost::shared_ptr< add_cyclic_prefix_cc > | sptr

## Public Member Functions

| add_cyclic_prefix_cc (int block_len, int cp_len, int cs_len, int ramp_len, std::vector< gfdm_complex > window_taps)
| ~add_cyclic_prefix_cc ()
void | generic_work (gfdm_complex *p_out, const gfdm_complex *p_in)
int | block_size ()
int | frame_size ()

## Detailed Description

Kernel adds cyclic prefix to GFDM frame and applies block pinching window.

## Member Typedef Documentation

## gfdm_complex

typedef std::complex<float> gr::gfdm::add_cyclic_prefix_cc::gfdm_complex

## sptr

typedef boost::shared_ptr<add_cyclic_prefix_cc> gr::gfdm::add_cyclic_prefix_cc::sptr

## Constructor & Destructor Documentation

## add_cyclic_prefix_cc()

gr::gfdm::add_cyclic_prefix_cc::add_cyclic_prefix_cc | ( | int | block_len,
|  | int | cp_len,
|  | int | cs_len,
|  | int | ramp_len,
|  | std::vector< gfdm_complex > | window_taps
| ) |  |

## ~add_cyclic_prefix_cc()

gr::gfdm::add_cyclic_prefix_cc::~add_cyclic_prefix_cc | ( |  | ) |

## Member Function Documentation

## block_size()

int gr::gfdm::add_cyclic_prefix_cc::block_size | ( |  | ) |

inline

Referenced by frame_size().

## frame_size()

int gr::gfdm::add_cyclic_prefix_cc::frame_size | ( |  | ) |

inline

References block_size().

## generic_work()

void gr::gfdm::add_cyclic_prefix_cc::generic_work | ( | gfdm_complex * | p_out,
|  | const gfdm_complex * | p_in
| ) |  |

The documentation for this class was generated from the following file:

- add_cyclic_prefix_cc.h